---
- name: Konfiguration Infoscreen
  hosts: all
  gather_facts: yes
  become: yes
  become_user: root
  remote_user: morz # der existierende User auf dem Raspi
  vars:
    raspi_user: morz  # leider nochmal definieren, für become_user in den Rollen.
    infoscreen_name: "{{ inventory_hostname }}"
    infoscreen_url: "https://info.morz.de/infoscreen/index.php"
    splashscreen: lmn-infoscreen.png # MUSS PNG sein in roles/lmnStuff/files
    prepareHost: yes
    lmnStuff: yes
    enableMQTTFeature: no
    enableMQTTcronjob: no
    additionalSSHKeys: no
    
  roles:
    - prepareHost
    - lmnStuff
    - sshKeys
    - mqttDisplayClient

